post/customer

Create Customer

Provision a new customer record to associate with license keys. Requires an admin API key or any key with the customer:write grant.

Authentication required: Bearer Token in Authorization header.

Parameters

Idempotency-Key
headerstring

Use a unique value to safely retry this request without repeating its effects.

Example<IDEMPOTENCY-KEY>

Request Body (application/json)

namerequired
string
email
string

Responses

200Customer created successfully
400Missing required parameters
401Invalid API key
409Customer with this email already exists

Response Body (200)

action
string
status
boolean
message
string
data
object
code
integer
Request Example
curl -X POST "https://api.keymint.dev/customer" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "email": "user@example.com"
}'
Response (200 OK)
{
  "action": "addCustomer",
  "status": true,
  "message": "Customer added",
  "data": {
    "id": "078116d0069c32407b4f63",
    "name": "Test Customer",
    "email": "test@example.com"
  },
  "code": 0
}